PDA

View Full Version : apache 2 upgrade and zope



gordevio
03-18-2008, 05:06 PM
I have just been upgraded to Westhost 3.0. Apache 2 is new to me.
It works but I had a Zope server running with Apache with a rewrite condition to port 9080 in a htaccess file. Zope is not running anymore and I cannot restart it.

When I give zopectl start in /home/zope/bin directory it says 'command cannot be found'. I can see the zopectl file is there.

Perhaps this a question for the Zope list but you people might have a general idea of what could have happened.

Question solved thanks to support: Locating zope was the problem.

twentyeight
03-28-2008, 08:45 AM
Hopefully you've figured it out by now, but for posterity I'll just add a quick note.

Executables are not run in the same way in *nix as they are in DOS. If you can see the executable by running
ls -l and you can see an x in the permissions string, you can run the executable by typing
./programname. The "." stands for your current working path. You could also type in the full working path to the executable, ie.
/usr/local/ruby/bin/rails to run the 'rails' program.

Since that's a lot of typing, you can also add directorys to your $PATH. You'll likely want to do this in /.bashrc or /.bash_profile. I don't know if Westhost 3.0 is any different in that regard, but those files are scripts that are run on login. What you'll want to add to the end of them is something like this:

export PATH="$PATH:/path/to/directory:/path/to/other/dir/"

This will allow you to just type any executable name in whatever directories are listed in your $PATH.

Hope this helps